FailedOk

th/SRPMS[OK]
th/x32[OK]
th/i686[OK]
th/x86_64[OK]

ac/SRPMS[OK]
ac/i386[OK]
ac/i586[OK]
ac/i686[OK]
ac/alpha[OK]
ac/amd64[OK]
ac/athlon[OK]
ac/ppc[OK]
ac/sparc[OK]
ac/sparc64[OK]

Advanced Search
main()
Powered by PLD Linux
(c) 2002-2021 PLD Team
$Revision: 1.37 $
Powered by GNOME.
Your IP: 35.175.107.77

pinfo 653fd8d0-0c32-4502-b8a0-dcb94ea83bef

Status:Failed
Source URL:https://buildlogs.pld-linux.org/pld/th/i686/FAIL/pinfo,653fd8d0-0c32-4502-b8a0-dcb94ea83bef.bz2
text/plain URL:View!
full text:View!
rpm -qa of builder:View!
Date:2021/10/02 09:10:53
Runtime:0:00:14.838046

Toc:

  • error 1
  • /usr/include/bits/string_fortified.h:95:10: error: '__builtin_strncpy' specified bound depends on the length of the source argument [-Werror=stringop-truncation]
  • error 2
  • make[2]: *** [Makefile:697: pinfo-utils.o] Error 1
  • error 3
  • make[1]: *** [Makefile:457: all-recursive] Error 1
  • error 4
  • error: Bad exit status from /tmp/B.89l195np/BUILD/tmp/rpm-tmp.kS10y9 (%build)
  • error 5
  • RPM build errors:
  • error 6
  • error: No files produced.

Content:

  rc=0; \
else \
  rc=$?; \
  $restore $backupdir/* `echo "./pinfo.info" | sed 's|[^/]*$||'`; \
fi; \
rm -rf $backupdir; exit $rc
make[2]: Leaving directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/doc'
Making all in macros
make[2]: Nothing to be done for 'all'.
Making all in po
test ! -f ./pinfo.pot || \
  test -z "cs.gmo de.gmo eu.gmo ja.gmo nl.gmo pl.gmo pt_BR.gmo ro.gmo ru.gmo sv.gmo vi.gmo" || /usr/bin/make cs.gmo de.gmo eu.gmo ja.gmo nl.gmo pl.gmo pt_BR.gmo ro.gmo ru.gmo sv.gmo vi.gmo
make[3]: Entering directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/po'
rm -f ro.gmo && /usr/bin/msgmerge --for-msgfmt -o ro.1po ro.po pinfo.pot && /usr/bin/msgfmt -c --statistics --verbose -o ro.gmo ro.1po && rm -f ro.1po
ro.1po: 53 translated messages.
make[3]: Leaving directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/po'
make[3]: Entering directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/po'
rm -f eu.gmo && /usr/bin/msgmerge --for-msgfmt -o eu.1po eu.po pinfo.pot && /usr/bin/msgfmt -c --statistics --verbose -o eu.gmo eu.1po && rm -f eu.1po
eu.1po: 52 translated messages.
make[3]: Leaving directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/po'
make[3]: Entering directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/po'
rm -f pt_BR.gmo && /usr/bin/msgmerge --for-msgfmt -o pt_BR.1po pt_BR.po pinfo.pot && /usr/bin/msgfmt -c --statistics --verbose -o pt_BR.gmo pt_BR.1po && rm -f pt_BR.1po
pt_BR.1po: 53 translated messages.
make[3]: Leaving directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/po'
make[3]: Entering directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/po'
rm -f ja.gmo && /usr/bin/msgmerge --for-msgfmt -o ja.1po ja.po pinfo.pot && /usr/bin/msgfmt -c --statistics --verbose -o ja.gmo ja.1po && rm -f ja.1po
ja.1po: 40 translated messages.
make[3]: Leaving directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/po'
make[3]: Entering directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/po'
rm -f ru.gmo && /usr/bin/msgmerge --for-msgfmt -o ru.1po ru.po pinfo.pot && /usr/bin/msgfmt -c --statistics --verbose -o ru.gmo ru.1po && rm -f ru.1po
ru.1po: 53 translated messages.
make[3]: Leaving directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/po'
make[3]: Entering directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/po'
rm -f de.gmo && /usr/bin/msgmerge --for-msgfmt -o de.1po de.po pinfo.pot && /usr/bin/msgfmt -c --statistics --verbose -o de.gmo de.1po && rm -f de.1po
de.1po: 49 translated messages.
make[3]: Leaving directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/po'
make[3]: Entering directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/po'
rm -f nl.gmo && /usr/bin/msgmerge --for-msgfmt -o nl.1po nl.po pinfo.pot && /usr/bin/msgfmt -c --statistics --verbose -o nl.gmo nl.1po && rm -f nl.1po
nl.1po: 60 translated messages.
make[3]: Leaving directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/po'
make[3]: Entering directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/po'
rm -f pl.gmo && /usr/bin/msgmerge --for-msgfmt -o pl.1po pl.po pinfo.pot && /usr/bin/msgfmt -c --statistics --verbose -o pl.gmo pl.1po && rm -f pl.1po
pl.1po: 60 translated messages.
make[3]: Leaving directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/po'
make[3]: Entering directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/po'
rm -f cs.gmo && /usr/bin/msgmerge --for-msgfmt -o cs.1po cs.po pinfo.pot && /usr/bin/msgfmt -c --statistics --verbose -o cs.gmo cs.1po && rm -f cs.1po
cs.1po: 53 translated messages.
make[3]: Leaving directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/po'
make[3]: Entering directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/po'
rm -f sv.gmo && /usr/bin/msgmerge --for-msgfmt -o sv.1po sv.po pinfo.pot && /usr/bin/msgfmt -c --statistics --verbose -o sv.gmo sv.1po && rm -f sv.1po
sv.1po: 22 translated messages.
make[3]: Leaving directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/po'
make[3]: Entering directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/po'
rm -f vi.gmo && /usr/bin/msgmerge --for-msgfmt -o vi.1po vi.po pinfo.pot && /usr/bin/msgfmt -c --statistics --verbose -o vi.gmo vi.1po && rm -f vi.1po
vi.1po: 53 translated messages.
make[3]: Leaving directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/po'
make[2]: Entering directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/po'
touch ./stamp-po
make[2]: Leaving directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/po'
Making all in src
make[2]: Entering directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/src'
i686-pld-linux-gcc -DHAVE_CONFIG_H -I. -I..   -I/usr/include/ncursesw -D_DEFAULT_SOURCE -D_XOPEN_SOURCE=600 -I/usr/include/ncursesw -D_XOPEN_SOURCE=600 -I/usr/include/readline -Wall -Wextra -Wshadow -Werror -DLOCALEDIR=\"/usr/share/locale\" -DCONFIGDIR=\"/etc/pinforc\" -O2 -fwrapv -pipe -Wformat -Werror=format-security -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong --param=ssp-buffer-size=4 -Werror=trampolines -fomit-frame-pointer -march=i686 -fasynchronous-unwind-tables -mtune=pentium4 -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2   -D_XOPEN_SOURCE=600 -MT pinfo-regexp_search.o -MD -MP -MF .deps/pinfo-regexp_search.Tpo -c -o pinfo-regexp_search.o `test -f 'regexp_search.c' || echo './'`regexp_search.c
mv -f .deps/pinfo-regexp_search.Tpo .deps/pinfo-regexp_search.Po
make[2]: Leaving directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/src'
make[2]: Entering directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/src'
i686-pld-linux-gcc -DHAVE_CONFIG_H -I. -I..   -I/usr/include/ncursesw -D_DEFAULT_SOURCE -D_XOPEN_SOURCE=600 -I/usr/include/ncursesw -D_XOPEN_SOURCE=600 -I/usr/include/readline -Wall -Wextra -Wshadow -Werror -DLOCALEDIR=\"/usr/share/locale\" -DCONFIGDIR=\"/etc/pinforc\" -O2 -fwrapv -pipe -Wformat -Werror=format-security -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong --param=ssp-buffer-size=4 -Werror=trampolines -fomit-frame-pointer -march=i686 -fasynchronous-unwind-tables -mtune=pentium4 -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2   -D_XOPEN_SOURCE=600 -MT pinfo-colors.o -MD -MP -MF .deps/pinfo-colors.Tpo -c -o pinfo-colors.o `test -f 'colors.c' || echo './'`colors.c
mv -f .deps/pinfo-colors.Tpo .deps/pinfo-colors.Po
make[2]: Leaving directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/src'
make[2]: Entering directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/src'
i686-pld-linux-gcc -DHAVE_CONFIG_H -I. -I..   -I/usr/include/ncursesw -D_DEFAULT_SOURCE -D_XOPEN_SOURCE=600 -I/usr/include/ncursesw -D_XOPEN_SOURCE=600 -I/usr/include/readline -Wall -Wextra -Wshadow -Werror -DLOCALEDIR=\"/usr/share/locale\" -DCONFIGDIR=\"/etc/pinforc\" -O2 -fwrapv -pipe -Wformat -Werror=format-security -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong --param=ssp-buffer-size=4 -Werror=trampolines -fomit-frame-pointer -march=i686 -fasynchronous-unwind-tables -mtune=pentium4 -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2   -D_XOPEN_SOURCE=600 -MT pinfo-menu_and_note_utils.o -MD -MP -MF .deps/pinfo-menu_and_note_utils.Tpo -c -o pinfo-menu_and_note_utils.o `test -f 'menu_and_note_utils.c' || echo './'`menu_and_note_utils.c
mv -f .deps/pinfo-menu_and_note_utils.Tpo .deps/pinfo-menu_and_note_utils.Po
make[2]: Leaving directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/src'
make[2]: Entering directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/src'
i686-pld-linux-gcc -DHAVE_CONFIG_H -I. -I..   -I/usr/include/ncursesw -D_DEFAULT_SOURCE -D_XOPEN_SOURCE=600 -I/usr/include/ncursesw -D_XOPEN_SOURCE=600 -I/usr/include/readline -Wall -Wextra -Wshadow -Werror -DLOCALEDIR=\"/usr/share/locale\" -DCONFIGDIR=\"/etc/pinforc\" -O2 -fwrapv -pipe -Wformat -Werror=format-security -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong --param=ssp-buffer-size=4 -Werror=trampolines -fomit-frame-pointer -march=i686 -fasynchronous-unwind-tables -mtune=pentium4 -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2   -D_XOPEN_SOURCE=600 -MT pinfo-datatypes.o -MD -MP -MF .deps/pinfo-datatypes.Tpo -c -o pinfo-datatypes.o `test -f 'datatypes.c' || echo './'`datatypes.c
mv -f .deps/pinfo-datatypes.Tpo .deps/pinfo-datatypes.Po
make[2]: Leaving directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/src'
make[2]: Entering directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/src'
i686-pld-linux-gcc -DHAVE_CONFIG_H -I. -I..   -I/usr/include/ncursesw -D_DEFAULT_SOURCE -D_XOPEN_SOURCE=600 -I/usr/include/ncursesw -D_XOPEN_SOURCE=600 -I/usr/include/readline -Wall -Wextra -Wshadow -Werror -DLOCALEDIR=\"/usr/share/locale\" -DCONFIGDIR=\"/etc/pinforc\" -O2 -fwrapv -pipe -Wformat -Werror=format-security -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong --param=ssp-buffer-size=4 -Werror=trampolines -fomit-frame-pointer -march=i686 -fasynchronous-unwind-tables -mtune=pentium4 -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2   -D_XOPEN_SOURCE=600 -MT pinfo-signal_handler.o -MD -MP -MF .deps/pinfo-signal_handler.Tpo -c -o pinfo-signal_handler.o `test -f 'signal_handler.c' || echo './'`signal_handler.c
mv -f .deps/pinfo-signal_handler.Tpo .deps/pinfo-signal_handler.Po
make[2]: Leaving directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/src'
make[2]: Entering directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/src'
i686-pld-linux-gcc -DHAVE_CONFIG_H -I. -I..   -I/usr/include/ncursesw -D_DEFAULT_SOURCE -D_XOPEN_SOURCE=600 -I/usr/include/ncursesw -D_XOPEN_SOURCE=600 -I/usr/include/readline -Wall -Wextra -Wshadow -Werror -DLOCALEDIR=\"/usr/share/locale\" -DCONFIGDIR=\"/etc/pinforc\" -O2 -fwrapv -pipe -Wformat -Werror=format-security -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong --param=ssp-buffer-size=4 -Werror=trampolines -fomit-frame-pointer -march=i686 -fasynchronous-unwind-tables -mtune=pentium4 -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2   -D_XOPEN_SOURCE=600 -MT pinfo-pinfo.o -MD -MP -MF .deps/pinfo-pinfo.Tpo -c -o pinfo-pinfo.o `test -f 'pinfo.c' || echo './'`pinfo.c
mv -f .deps/pinfo-pinfo.Tpo .deps/pinfo-pinfo.Po
make[2]: Leaving directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/src'
make[2]: Entering directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/src'
i686-pld-linux-gcc -DHAVE_CONFIG_H -I. -I..   -I/usr/include/ncursesw -D_DEFAULT_SOURCE -D_XOPEN_SOURCE=600 -I/usr/include/ncursesw -D_XOPEN_SOURCE=600 -I/usr/include/readline -Wall -Wextra -Wshadow -Werror -DLOCALEDIR=\"/usr/share/locale\" -DCONFIGDIR=\"/etc/pinforc\" -O2 -fwrapv -pipe -Wformat -Werror=format-security -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong --param=ssp-buffer-size=4 -Werror=trampolines -fomit-frame-pointer -march=i686 -fasynchronous-unwind-tables -mtune=pentium4 -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2   -D_XOPEN_SOURCE=600 -MT pinfo-printinfo.o -MD -MP -MF .deps/pinfo-printinfo.Tpo -c -o pinfo-printinfo.o `test -f 'printinfo.c' || echo './'`printinfo.c
mv -f .deps/pinfo-printinfo.Tpo .deps/pinfo-printinfo.Po
make[2]: Leaving directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/src'
make[2]: Entering directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/src'
i686-pld-linux-gcc -DHAVE_CONFIG_H -I. -I..   -I/usr/include/ncursesw -D_DEFAULT_SOURCE -D_XOPEN_SOURCE=600 -I/usr/include/ncursesw -D_XOPEN_SOURCE=600 -I/usr/include/readline -Wall -Wextra -Wshadow -Werror -DLOCALEDIR=\"/usr/share/locale\" -DCONFIGDIR=\"/etc/pinforc\" -O2 -fwrapv -pipe -Wformat -Werror=format-security -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong --param=ssp-buffer-size=4 -Werror=trampolines -fomit-frame-pointer -march=i686 -fasynchronous-unwind-tables -mtune=pentium4 -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2   -D_XOPEN_SOURCE=600 -MT pinfo-video.o -MD -MP -MF .deps/pinfo-video.Tpo -c -o pinfo-video.o `test -f 'video.c' || echo './'`video.c
mv -f .deps/pinfo-video.Tpo .deps/pinfo-video.Po
make[2]: Leaving directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/src'
make[2]: Entering directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/src'
i686-pld-linux-gcc -DHAVE_CONFIG_H -I. -I..   -I/usr/include/ncursesw -D_DEFAULT_SOURCE -D_XOPEN_SOURCE=600 -I/usr/include/ncursesw -D_XOPEN_SOURCE=600 -I/usr/include/readline -Wall -Wextra -Wshadow -Werror -DLOCALEDIR=\"/usr/share/locale\" -DCONFIGDIR=\"/etc/pinforc\" -O2 -fwrapv -pipe -Wformat -Werror=format-security -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong --param=ssp-buffer-size=4 -Werror=trampolines -fomit-frame-pointer -march=i686 -fasynchronous-unwind-tables -mtune=pentium4 -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2   -D_XOPEN_SOURCE=600 -MT pinfo-utils.o -MD -MP -MF .deps/pinfo-utils.Tpo -c -o pinfo-utils.o `test -f 'utils.c' || echo './'`utils.c
In file included from /usr/include/string.h:519,
                 from common_includes.h:31,
                 from utils.c:22:
In function 'strncpy',
    inlined from 'make_tempfile' at utils.c:869:2:
/usr/include/bits/string_fortified.h:95:10: error: '__builtin_strncpy' specified bound depends on the length of the source argument [-Werror=stringop-truncation]
   95 |   return __builtin___strncpy_chk (__dest, __src, __len,
      |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   96 |                                   __glibc_objsize (__dest));
      |                                   ~~~~~~~~~~~~~~~~~~~~~~~~~
utils.c: In function 'make_tempfile':
utils.c:867:15: note: length computed here
  867 |         len = strlen(tmpfile_template)+1;
      |               ^~~~~~~~~~~~~~~~~~~~~~~~
cc1: all warnings being treated as errors
make[2]: *** [Makefile:697: pinfo-utils.o] Error 1
make[2]: Leaving directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/src'
make[2]: *** Waiting for unfinished jobs....
make[2]: Entering directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/src'
i686-pld-linux-gcc -DHAVE_CONFIG_H -I. -I..   -I/usr/include/ncursesw  -O2 -fwrapv -pipe -Wformat -Werror=format-security -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong --param=ssp-buffer-size=4 -Werror=trampolines -fomit-frame-pointer -march=i686 -fasynchronous-unwind-tables -mtune=pentium4 -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2   -D_XOPEN_SOURCE=600 -MT readlinewrapper.o -MD -MP -MF .deps/readlinewrapper.Tpo -c -o readlinewrapper.o readlinewrapper.c
mv -f .deps/readlinewrapper.Tpo .deps/readlinewrapper.Po
make[2]: Leaving directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/src'
make[2]: Entering directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/src'
i686-pld-linux-gcc -DHAVE_CONFIG_H -I. -I..   -I/usr/include/ncursesw -D_DEFAULT_SOURCE -D_XOPEN_SOURCE=600 -I/usr/include/ncursesw -D_XOPEN_SOURCE=600 -I/usr/include/readline -Wall -Wextra -Wshadow -Werror -DLOCALEDIR=\"/usr/share/locale\" -DCONFIGDIR=\"/etc/pinforc\" -O2 -fwrapv -pipe -Wformat -Werror=format-security -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong --param=ssp-buffer-size=4 -Werror=trampolines -fomit-frame-pointer -march=i686 -fasynchronous-unwind-tables -mtune=pentium4 -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2   -D_XOPEN_SOURCE=600 -MT pinfo-parse_config.o -MD -MP -MF .deps/pinfo-parse_config.Tpo -c -o pinfo-parse_config.o `test -f 'parse_config.c' || echo './'`parse_config.c
mv -f .deps/pinfo-parse_config.Tpo .deps/pinfo-parse_config.Po
make[2]: Leaving directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/src'
make[2]: Entering directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/src'
i686-pld-linux-gcc -DHAVE_CONFIG_H -I. -I..   -I/usr/include/ncursesw -D_DEFAULT_SOURCE -D_XOPEN_SOURCE=600 -I/usr/include/ncursesw -D_XOPEN_SOURCE=600 -I/usr/include/readline -Wall -Wextra -Wshadow -Werror -DLOCALEDIR=\"/usr/share/locale\" -DCONFIGDIR=\"/etc/pinforc\" -O2 -fwrapv -pipe -Wformat -Werror=format-security -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong --param=ssp-buffer-size=4 -Werror=trampolines -fomit-frame-pointer -march=i686 -fasynchronous-unwind-tables -mtune=pentium4 -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2   -D_XOPEN_SOURCE=600 -MT pinfo-filehandling_functions.o -MD -MP -MF .deps/pinfo-filehandling_functions.Tpo -c -o pinfo-filehandling_functions.o `test -f 'filehandling_functions.c' || echo './'`filehandling_functions.c
mv -f .deps/pinfo-filehandling_functions.Tpo .deps/pinfo-filehandling_functions.Po
make[2]: Leaving directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/src'
make[2]: Entering directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/src'
i686-pld-linux-gcc -DHAVE_CONFIG_H -I. -I..   -I/usr/include/ncursesw -D_DEFAULT_SOURCE -D_XOPEN_SOURCE=600 -I/usr/include/ncursesw -D_XOPEN_SOURCE=600 -I/usr/include/readline -Wall -Wextra -Wshadow -Werror -DLOCALEDIR=\"/usr/share/locale\" -DCONFIGDIR=\"/etc/pinforc\" -O2 -fwrapv -pipe -Wformat -Werror=format-security -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong --param=ssp-buffer-size=4 -Werror=trampolines -fomit-frame-pointer -march=i686 -fasynchronous-unwind-tables -mtune=pentium4 -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2   -D_XOPEN_SOURCE=600 -MT pinfo-mainfunction.o -MD -MP -MF .deps/pinfo-mainfunction.Tpo -c -o pinfo-mainfunction.o `test -f 'mainfunction.c' || echo './'`mainfunction.c
mv -f .deps/pinfo-mainfunction.Tpo .deps/pinfo-mainfunction.Po
make[2]: Leaving directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/src'
make[2]: Entering directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/src'
i686-pld-linux-gcc -DHAVE_CONFIG_H -I. -I..   -I/usr/include/ncursesw -D_DEFAULT_SOURCE -D_XOPEN_SOURCE=600 -I/usr/include/ncursesw -D_XOPEN_SOURCE=600 -I/usr/include/readline -Wall -Wextra -Wshadow -Werror -DLOCALEDIR=\"/usr/share/locale\" -DCONFIGDIR=\"/etc/pinforc\" -O2 -fwrapv -pipe -Wformat -Werror=format-security -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong --param=ssp-buffer-size=4 -Werror=trampolines -fomit-frame-pointer -march=i686 -fasynchronous-unwind-tables -mtune=pentium4 -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2   -D_XOPEN_SOURCE=600 -MT pinfo-initializelinks.o -MD -MP -MF .deps/pinfo-initializelinks.Tpo -c -o pinfo-initializelinks.o `test -f 'initializelinks.c' || echo './'`initializelinks.c
mv -f .deps/pinfo-initializelinks.Tpo .deps/pinfo-initializelinks.Po
make[2]: Leaving directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/src'
make[2]: Entering directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/src'
i686-pld-linux-gcc -DHAVE_CONFIG_H -I. -I..   -I/usr/include/ncursesw -D_DEFAULT_SOURCE -D_XOPEN_SOURCE=600 -I/usr/include/ncursesw -D_XOPEN_SOURCE=600 -I/usr/include/readline -Wall -Wextra -Wshadow -Werror -DLOCALEDIR=\"/usr/share/locale\" -DCONFIGDIR=\"/etc/pinforc\" -O2 -fwrapv -pipe -Wformat -Werror=format-security -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong --param=ssp-buffer-size=4 -Werror=trampolines -fomit-frame-pointer -march=i686 -fasynchronous-unwind-tables -mtune=pentium4 -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2   -D_XOPEN_SOURCE=600 -MT pinfo-manual.o -MD -MP -MF .deps/pinfo-manual.Tpo -c -o pinfo-manual.o `test -f 'manual.c' || echo './'`manual.c
mv -f .deps/pinfo-manual.Tpo .deps/pinfo-manual.Po
make[2]: Leaving directory '/tmp/B.89l195np/BUILD/pinfo-0.6.13/src'
make[1]: *** [Makefile:457: all-recursive] Error 1
make: *** [Makefile:387: all] Error 2
error: Bad exit status from /tmp/B.89l195np/BUILD/tmp/rpm-tmp.kS10y9 (%build)


RPM build errors:
    Could not canonicalize hostname: nereid
    Bad exit status from /tmp/B.89l195np/BUILD/tmp/rpm-tmp.kS10y9 (%build)
ended at: Sat Oct  2 09:10:53 2021, done in 0:00:14.838046
error: No files produced.
+ chmod -R u+rwX /tmp/B.89l195np/BUILD
+ rm -rf /tmp/B.89l195np/tmp /tmp/B.89l195np/BUILD
+ rm -rf /tmp/B.89l195np
Begin-PLD-Builder-Info
Build-Time: user:17.88s sys:3.07s real:16.58s (faults io:5 non-io:816264)

End-PLD-Builder-Info
[Back to list of logs] [View rpm -qa of builder]